.fullscreen-image {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 9999;
}

:root {
  --primary-clr: #ff928b;
  --primary-hover-clr: #ffb5a7;
  --primary-dark-txt-clr: #9b665d;
  --primary-light-txt-clr: #ffffffff;
}

h2,
th,
button {
  font-family: "Fredoka", sans-serif;
  font-style: normal;
  font-weight: 600;
}

body {
  font-family: "Gaegu", sans-serif;
  font-weight: 700;
  font-style: bold;
  color: var(--primary-dark-txt-clr);
}

button {
  background-color: var(--primary-clr);
  border-radius: 10rem;
  padding: 5px;
  min-width: 30px;
  min-height: 30px;
  margin: 3px;
  border: 2px solid var(--primary-clr);
  color: white;
  transition: all 0.2s ease-in-out;
  cursor: pointer;
}

button:hover {
  background-color: var(--primary-hover-clr);
  transform: scale(1.05);
}

.header {
  display: flex;
  justify-content: space-between;
  padding: 0.1rem 2rem;
  background-color: var(--primary-clr);
  color: var(--primary-light-txt-clr);
}

.header-left {
  display: flex;
  gap: 2rem;
  align-items: center;
}

.user {
  display: flex;
  align-items: center;
  gap: 0.6rem;
}

.user__img {
  width: 3rem;
  height: auto;
  border-radius: 50%;
  object-fit: cover;
}

.main {
  display: flex;
  flex-wrap: wrap;
}

.nav {
  min-width: 13rem;
  height: 35rem;
  padding: 1rem;
  background-color: var(--primary-hover-clr);
}

.nav ul {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  font-size: 1.8rem;
  color: var(--primary-clr);
}

.nav a {
  color: var(--primary-light-txt-clr);
  text-decoration: none;
}

section.students {
  padding: 1rem;
  flex: 1;
}

.students__list {
  display: flex;
  flex-direction: column;
  max-width: min(70rem, 80vw);
  margin: 0 auto;
  overflow-x: auto;
}

.students__table {
  border-collapse: collapse;
}

.students__table td,
th {
  border: 3px solid var(--primary-clr);
  text-align: center;
  padding: 0.25rem;
}

.students__table tbody tr:nth-child(odd) {
  background-color: var(--primary-hover-clr);
}

.students__table td:has(.status) {
  position: relative;
}

.students__table .status {
  position: absolute;
  left: 50%;
  right: 50%;
  transform: translate(-50%, -50%);
  width: 0.75rem;
  height: 0.75rem;
  background-color: var(--primary-clr);
}

input[type="checkbox"] {
  accent-color: var(--primary-clr);
}

tr:has(input[type="checkbox"]:checked) .status {
  background-color: var(--primary-dark-txt-clr);
}

.modal-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  z-index: 100;
}

.modal {
  background-color: var(--primary-light-txt-clr);
  padding: 1rem;
  border-radius: 3rem;
  width: clamp(20rem, 50vw, 30rem);
  margin: 1rem;
}

.modal form {
  max-width: 18rem;
  margin: 0 auto;
  padding: 1rem 0;
}

.modal .form-line {
  display: flex;
  justify-content: space-between;
  padding: 0.25rem;
}

#add-student-btn {
  width: 50%;
  transform: translateX(50%);
}

.modal input,
select {
  width: 9rem;
  padding: 0.1rem 1rem;
  border-radius: 1rem;
  border: 3px solid var(--primary-clr);
}

.notification {
  position: relative;
}

.bell-icon {
  transition: transform 0.25s ease-in-out;
}

.bell-icon:hover {
  transform: translate3d(0, 0, 0);
  scale: 1.1;
  animation: shake 0.4s ease-in-out 2;
  transform-origin: top;
}

.notification .new::before {
  background-color: var(--primary-clr);
  content: "";
  position: absolute;
  right: 0.125rem;
  top: 0.125rem;
  width: 0.5rem;
  height: 0.5rem;
  border-radius: 50%;
}

.notification:not(:hover) .notification-panel {
  display: none;
}

.notification-panel {
  padding: 0px 10px 0px 0px;
  transition: all 0.4s;
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-90%);
  min-width: 15rem;
  background-color: var(--primary-light-txt-clr);
  border-radius: 1rem;
  border: 3px solid var(--primary-clr);
}

.notification-panel li {
  border-radius: 1rem;
  transition: all 0.2s;
  list-style: none;
  padding: 0.4rem 2rem 0.4rem 2.25rem;
  background-image: url("https://static.thenounproject.com/png/4702767-200.png");
  background-repeat: no-repeat;
  background-position: left center;
  background-size: 30px;
  color: var(--primary-dark-txt-clr);
}

.notification-panel li:hover {
  background-color: var(--primary-hover-clr);
  color: var(--primary-light-txt-clr);
}

.user-container:not(:hover) .user-panel {
  display: none;
}

.user-container {
  position: relative;
}

.user-panel {
  position: absolute;
  width: 7.3rem;
  height: 7.3rem;
  background-color: var(--primary-light-txt-clr);
  top: 100%;
  left: 30%;
  transform: translateX(-20%);
  border-radius: 1rem;
  border: 3px solid var(--primary-clr);
}

.user-panel li {
  list-style: none;
  padding: 0.25rem 1rem;
  border-radius: 0.325rem;
  transition: all 0.2s;
}

.user-panel button {
  padding: 0.2rem 0.4rem;
  width: 5rem;
  transform: translateX(-50%);
}

@keyframes shake {
  0% {
    transform: rotate(0);
  }
  30% {
    transform: rotate(-20deg);
  }
  70% {
    transform: rotate(20deg);
  }
  100% {
    transform: rotate(0deg);
  }
}

.hidden {
  display: none;
}

@media only screen and (max-width: 725px) {
  .nav {
    width: 100vh;
    height: 10rem;
    text-align: center;
    padding: 0;
  }
  .nav p,
  .nav a {
    font-size: 1rem;
    margin: 0;
  }

  .notification-panel {
    min-width: 10rem;
    transform: translateX(-45%);
  }

  .user-panel {
    transform: translateX(-45%);
  }
}
